NvRulesAPI: Data Fields - Functions

### - a -

- action_by_idx() : NV::Rules::IRange
- actions_by_nvtx() : NV::Rules::IRange
- add_double_metric() : NV::Rules::IAction
- add_integer_metric() : NV::Rules::IAction
- add_metric() : NV::Rules::IAction
- add_string_metric() : NV::Rules::IAction
- as_double() : NV::Rules::IMetric
- as_string() : NV::Rules::IMetric
- as_uint64() : NV::Rules::IMetric

### - c -

- category() : NV::Rules::INvtxRange
- color() : NV::Rules::INvtxRange
- controller() : NV::Rules::IContext
- correlation_ids() : NV::Rules::IMetric

### - d -

- description() : NV::Rules::IMetric
- domain_by_id() : NV::Rules::INvtxState
- domains() : NV::Rules::INvtxState

### - f -

- file_name() : NV::Rules::ISourceInfo
- focus_metric() : NV::Rules::IFrontend
- frontend() : NV::Rules::IContext

### - g -

- get_message_vault() : NV::Rules::IController

### - h -

- has_attributes() : NV::Rules::INvtxRange
- has_correlation_ids() : NV::Rules::IMetric
- has_value() : NV::Rules::IMetric

### - k -

- kind() : NV::Rules::IMetric

### - l -

- line() : NV::Rules::ISourceInfo
- load_chart_from_file() : NV::Rules::IFrontend

### - m -

- message() : NV::Rules::INvtxRange , NV::Rules::IFrontend
- metric_by_name() : NV::Rules::IAction
- metric_names() : NV::Rules::IAction
- metric_subtype() : NV::Rules::IMetric
- metric_type() : NV::Rules::IMetric

### - n -

- name() : NV::Rules::IMetric , NV::Rules::INvtxRange , NV::Rules::IAction , NV::Rules::INvtxDomainInfo
- num_actions() : NV::Rules::IRange
- num_instances() : NV::Rules::IMetric
- num_ranges() : NV::Rules::IContext
- nvtx_state() : NV::Rules::IAction

### - p -

- payload_as_double() : NV::Rules::INvtxRange
- payload_as_string() : NV::Rules::INvtxRange
- payload_as_uint64() : NV::Rules::INvtxRange
- payload_type() : NV::Rules::INvtxRange
- propose_rule() : NV::Rules::IController
- ptx_by_pc() : NV::Rules::IAction
- push_pop_range() : NV::Rules::INvtxDomainInfo
- push_pop_ranges() : NV::Rules::INvtxDomainInfo

### - r -

- range_by_idx() : NV::Rules::IContext
- receive_dict_from_parent() : NV::Rules::IFrontend
- require_metric() : NV::Rules::IEvaluator
- require_rule() : NV::Rules::IEvaluator
- rollup_operation() : NV::Rules::IMetric

### - s -

- sass_by_pc() : NV::Rules::IAction
- send_dict_to_children() : NV::Rules::IFrontend
- source_files() : NV::Rules::IAction
- source_info() : NV::Rules::IAction
- source_marker() : NV::Rules::IFrontend
- speedup() : NV::Rules::IFrontend
- start_end_range() : NV::Rules::INvtxDomainInfo
- start_end_ranges() : NV::Rules::INvtxDomainInfo

### - u -

- unit() : NV::Rules::IMetric